DC_PARSER_DESTROY(3)

NAME
dc_parser_destroy - destroys a single dive parser

LIBRARY
libdivecomputer

SYNOPSIS
#include <libdivecomputer/parser.h>
dc_status_t
dc_parser_destroy(dc_parser_t *parser);

DESCRIPTION
Destroys a parser allocated with dc_parser_new(3). The parser parameter may be NULL, in which case it will return with success.

RETURN VALUES
Returns DC_STATUS_OK on success and another code on failure.

SEE ALSO
dc_parser_new(3)

AUTHORS
The libdivecomputer library was written by Jef Driesen, jef@libdivecomputer.org. The manpages were written by Kristaps Dzonsons, kristaps@bsd.lv.